Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.usermodel
Class XSSFHyperlink

    java.lang.Object
      org.apache.poi.xssf.usermodel.XSSFHyperlink

All Implemented Interfaces:
  org.apache.poi.common.usermodel.Hyperlink

    public class XSSFHyperlink

extends java.lang.Object
implements org.apache.poi.ss.usermodel.Hyperlink

XSSF Implementation of a Hyperlink. Note - unlike with HSSF, many kinds of hyperlink are largely stored as relations of the sheet

Field Summary

Fields inherited from interface org.apache.poi.common.usermodel.Hyperlink
`LINK_DOCUMENT, LINK_EMAIL, LINK_FILE, LINK_URL`

Method Summary
`java.lang.String` | `getAddress()` Hypelink address.
`java.lang.String` | `getCellRef()` Get the reference of the cell this applies to, es A55
`int` | `getFirstColumn()` Return the column of the first cell that contains the hyperlink
`int` | `getFirstRow()` Return the row of the first cell that contains the hyperlink
`java.lang.String` | `getLabel()` Return text label for this hyperlink
`int` | `getLastColumn()` Return the column of the last cell that contains the hyperlink
`int` | `getLastRow()` Return the row of the last cell that contains the hyperlink
`java.lang.String` | `getLocation()` Location within target.
`int` | `getType()` Return the type of this hyperlink
`boolean` | `needsRelationToo()` Do we need to a relation too, to represent this hyperlink?
`void` | `setAddress(java.lang.String address)` Hypelink address.
`void` | `setFirstColumn(int col)` Set the column of the first cell that contains the hyperlink
`void` | `setFirstRow(int row)` Set the row of the first cell that contains the hyperlink
`void` | `setLabel(java.lang.String label)` Sets text label for this hyperlink
`void` | `setLastColumn(int col)` Set the column of the last cell that contains the hyperlink
`void` | `setLastRow(int row)` Set the row of the last cell that contains the hyperlink
`void` | `setLocation(java.lang.String location)` Location within target.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### needsRelationToo

    public boolean needsRelationToo()

  Do we need to a relation too, to represent this hyperlink?

### getType

    public int getType()

  Return the type of this hyperlink

  Specified by:
    `getType` in interface `org.apache.poi.common.usermodel.Hyperlink`
  Returns:
    the type of this hyperlink

### getCellRef

    public java.lang.String getCellRef()

  Get the reference of the cell this applies to, es A55

### getAddress

    public java.lang.String getAddress()

  Hypelink address. Depending on the hyperlink type it can be URL, e-mail, path to a file

  Specified by:
    `getAddress` in interface `org.apache.poi.common.usermodel.Hyperlink`
  Returns:
    the address of this hyperlink

### getLabel

    public java.lang.String getLabel()

  Return text label for this hyperlink

  Specified by:
    `getLabel` in interface `org.apache.poi.common.usermodel.Hyperlink`
  Returns:
    text to display

### getLocation

    public java.lang.String getLocation()

  Location within target. If target is a workbook (or this workbook) this shall refer to a sheet and cell or a defined name. Can also be an HTML anchor if target is HTML file.

  Returns:
    location

### setLabel

    public void setLabel(java.lang.String label)

  Sets text label for this hyperlink

  Specified by:
    `setLabel` in interface `org.apache.poi.common.usermodel.Hyperlink`
  Parameters:
    `label` - text label for this hyperlink

### setLocation

    public void setLocation(java.lang.String location)

  Location within target. If target is a workbook (or this workbook) this shall refer to a sheet and cell or a defined name. Can also be an HTML anchor if target is HTML file.

  Parameters:
    `location` - - string representing a location of this hyperlink

### setAddress

    public void setAddress(java.lang.String address)

  Hypelink address. Depending on the hyperlink type it can be URL, e-mail, path to a file

  Specified by:
    `setAddress` in interface `org.apache.poi.common.usermodel.Hyperlink`
  Parameters:
    `address` - - the address of this hyperlink

### getFirstColumn

    public int getFirstColumn()

  Return the column of the first cell that contains the hyperlink

  Returns:
    the 0-based column of the first cell that contains the hyperlink

### getLastColumn

    public int getLastColumn()

  Return the column of the last cell that contains the hyperlink

  Returns:
    the 0-based column of the last cell that contains the hyperlink

### getFirstRow

    public int getFirstRow()

  Return the row of the first cell that contains the hyperlink

  Returns:
    the 0-based row of the cell that contains the hyperlink

### getLastRow

    public int getLastRow()

  Return the row of the last cell that contains the hyperlink

  Returns:
    the 0-based row of the last cell that contains the hyperlink

### setFirstColumn

    public void setFirstColumn(int col)

  Set the column of the first cell that contains the hyperlink

  Parameters:
    `col` - the 0-based column of the first cell that contains the hyperlink

### setLastColumn

    public void setLastColumn(int col)

  Set the column of the last cell that contains the hyperlink

  Parameters:
    `col` - the 0-based column of the last cell that contains the hyperlink

### setFirstRow

    public void setFirstRow(int row)

  Set the row of the first cell that contains the hyperlink

  Parameters:
    `row` - the 0-based row of the first cell that contains the hyperlink

### setLastRow

    public void setLastRow(int row)

  Set the row of the last cell that contains the hyperlink

  Parameters:
    `row` - the 0-based row of the last cell that contains the hyperlink

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD